CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
CZ | EN | DE
Login or
registration
  Visitors: 2558
RSS channel - CAD tips RSS tips
RSS discussions

Discussion Discussion forum

 

HelpCAD discussion

 
CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

Topic ClosedMeasure multiple points

 Post Reply Post Reply
Author
lopezio View Drop Down
Newbie
Newbie


Joined: 09.Jul.2009
Location: Portugal
Status: Offline
Points: 5
Direct Link To This Post Topic: Measure multiple points
    Posted: 30.Jul.2009 at 01:55
How can i measure multiple points? I want to start measure click one point click other point and when in my last point i want the total length.
Thank you
(Autocad V 2010)


Edited by lopezio - 30.Jul.2009 at 02:00
Back to Top
Vladimir Michl View Drop Down
Moderator Group
Moderator Group

Arkance Systems CZ

Joined: 26.Jul.2007
Location: Czech Republic
Using: Autodesk software
Status: Offline
Points: 2018
Direct Link To This Post Posted: 30.Jul.2009 at 08:32

You can use the new MEASUREGEOM command or the option Multiple in the DIST command.

Vladimir Michl (moderator)
Arkance Systems - arkance-systems.cz - Autodesk reseller
Back to Top
msplcdykee69 View Drop Down
Senior Member
Senior Member


Joined: 15.Dec.2008
Location: United States
Using: Civil 3D, Map, Inventor, Mechanical, & Electrical
Status: Offline
Points: 163
Direct Link To This Post Posted: 30.Jul.2009 at 20:59
Here is a Lisp Command CD Cumulative distance
 
;cumulative distance
;this routine is just like the Autocad Distance command with the
;exception that it allows you to pick more than 2 consecutive points.
;the routine will display the cumulative distance and the distance
;between the last two points picked on the command line.
(defun c:cd ()
 (setvar "cmdecho" 0)
 (graphscr)
 (setq
  p1 (getpoint "\nPick start point ")
  p2 (getpoint p1 "\nPick next point ")
  d1 (distance p1 p2)
  prdist (strcat "\nDistance: " (rtos d1))
 )
 (princ prdist)
 (setq p3 (getpoint p2 "\nPick next point or RETURN if done "))
 (while p3
  (setq
   d0 (distance p2 p3)
   d1 (+ (distance p2 p3) d1)
   p2 p3
   prdist (strcat "\nDistance: " (rtos d0) ", Cumulative distance: " (rtos d1))
  )
  (princ prdist)
  (setq p3 (getpoint p2 "\nPick Next Point "))
 )
 (setq cumd (strcat "Cumulative distance --> " (rtos d1)))
 (prompt cumd)
 (princ)
)
(princ "\nType CD to run Cumulative Distance")
(princ)
Engineering Manufacturing Medical Cables/Adjunct Instructor Engineering Graphics/Engineering Computations and Careers

msplcdykee69@yahoo.com

Shawn
Back to Top
lopezio View Drop Down
Newbie
Newbie


Joined: 09.Jul.2009
Location: Portugal
Status: Offline
Points: 5
Direct Link To This Post Posted: 04.Aug.2009 at 00:05

Hi

Thank you but i'm new user, and i don't understand how can i use MEASUREGEOM  because i select the first point and when i select the next point this command give me the measure between the two points and i cannot select one third point to get the total distance. What i'm doing wrong?
Back to Top
SeanFtS View Drop Down
Groupie
Groupie


Joined: 29.Apr.2009
Status: Offline
Points: 28
Direct Link To This Post Posted: 04.Aug.2009 at 03:56
(2010) "Measuregeom" command:
 
Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Distance
Specify first point: Specify a point
Specify second point or [Multiple Points]: m
Trace lines and get the line lengths calculated.
Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Distance>: Exit
 
You can also click F1 and get this instraction in AutoCAD help documents.
 
Sean
Back to Top
theflyer84 View Drop Down
Newbie
Newbie


Joined: 13.Aug.2009
Location: Italy
Status: Offline
Points: 5
Direct Link To This Post Posted: 18.Aug.2009 at 14:09
faster way to do that is to create a polyline between the points, and under the propriety of the polyline you will see the lenght! ;)

------------------------------------------------------
www.dwgforfree.com
Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,305 seconds.